
Foreman - Feature #5507

I would like to have the ability to specify which fact is used for updating the IP address of a host.
Status: Feedback   
Assignee:    
Description

The ipaddress fact isn't reliable in what IP address it actually picks. If several VLANs are available, it picks the IP of the VLAN with

the lowest number, which might not be the correct one.

To fix this, I have created a custom fact that looks at the default route and picks the IP of the interface used there, which is most

likely correct in every case ever.

However, foreman doesn't care about this of course, and still uses the IP of the ipaddress fact to update IP's, which leads to a bunch

of servers having wrong IP's in foreman in our environment.

I would like to be able to resolve this by choosing which fact foreman looks at to determine the IP of a host.

Related issues:

Related to Foreman - Feature #3554: Enable provisioning on non-primary interface Resolved 11/01/2013

History

#1 - 04/30/2014 11:48 AM - Dominic Cleal

- Category set to Facts

#2 - 04/30/2014 11:48 AM - Dominic Cleal

- Related to Feature #3554: Enable provisioning on non-primary interface added

#3 - 05/17/2017 10:31 AM - Anonymous

- Status changed from New to Feedback

Is this fixed by the networking and multi-NIC improvements in 1.8+?
